%   Script BSPREA3.M zur Erzeugung von Beispieldaten
%   
%    Kontireaktor
%
% J. Lunze  
% 30.9.1996
% fr 3. Auflage: 9.11.2003
% fr 5. Auflage: 3.1.2008
% fr 10. Auflage: 3.9.2019
%
%
clear zs ns zd nd
clear m c mh ch alpha A w
%%
% 
%   Beispiel: Zwei durchflossene Reaktoren wie in Aufgabe I-5.5
%             aber mit vernderten Parametern
%               Volumen     V1 = 6 l
%                           V2 = 1 l
%               Durchflu   F =  2 l/min
%
%        Eingang: Volumenanteil eines Stoffes im Zulauf (Abweichung vom APkt)
%        Zustand:  x1 = Konzentration im ersten Reaktor in mol/l
%                  x2 = Konzentration im zweiten Reaktor in mol/l
%        Ausgang: Volumenanteil des Stoffes im zweiten Reaktor
%        Strung: Konzentrationsnderung in den Reaktoren
%        Zeit in min
%
%   [A, B, C, D]
%
clear n m r A B C D Reaktor zs ns V1 V2 F
V1 = 6;     % l
V2 = 1;     % l
F = 2;      % l/min
n = 2;
m = 1;
r = 1;
A = [-F/V1 0
     F/V2 -F/V2];
B = [F/V1
     0];
C = [0 1];
D = 0;
Reaktor=ss(A, B, C, D);
