function     lambda = lambdap(A)
%
%   Script LAMBDAP.M zur Berechnung der Perronwurzel
%   
%    LAMBDA(A) 
%
% J. Lunze  
% 14.10.1996
%  epsilon von 0.0001 auf 0.001 gesetzt:  6.2.2004
%
n=max(size(A));
if min(min(A)) < 0
   disp('lambaP: Matrix ist nicht nichtnegativ');
   return
end;
epsilon=1;
x=ones(n,1);
while epsilon > 0.001
   y=A*x;
   yx = y./x;
   lambda = max(yx);
   epsilon = lambda - min(yx);
   x=y/max(y);
end;
